.\"	$NetBSD: ad.4,v 1.10 2002/02/13 08:18:06 ross Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ad.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt AD 4 vax
.Os
.Sh NAME
.Nm ad
.Nd Data Translation A/D converter
.Sh SYNOPSIS
.Cd "ad0 at uba0 csr 0170400 vector adintr"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm \&ad
driver
provides an interface to the Data Translation A/D converter.
This is
.Em not
a real-time driver, but merely allows
the user process to sample the board's channels one at a time.
Each minor device selects a different
.Tn A/D
board.
.Pp
The driver communicates to a user process by means of
.Xr ioctl 2 Ns s .
The
.Dv AD_CHAN
.Xr ioctl 2
selects which channel of the board to read.
For example,
.Bd -literal -offset indent
chan = 5;
ioctl(fd, AD_CHAN, \*[Am]chan);
.Ed
.Pp
selects channel 5.
The
.Dv AD_READ
.Xr ioctl 2
actually reads the data and returns it to the user
process.
An example is
.Bd -literal -offset indent
ioctl(fd, AD_READ, \*[Am]data);
.Ed
.Sh FILES
.Bl -tag -width /dev/adx -compact
.It Pa /dev/ad
.El
.Sh DIAGNOSTICS
None.
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.1 .
